cdac.medinfo.sdk.hl7282.hl7net.auxiliaryprotocol.querycancel

## Class ServerSideQCNAgent

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.hl7net.auxiliaryprotocol.querycancel.ServerSideQCNAgent

- All Implemented Interfaces:
    IServerQueryCancellation

      public class ServerSideQCNAgent
      extends java.lang.Object
      implements IServerQueryCancellation

  This class provides the Cancellation Message against the Query Message, if user has set the Agent.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSideQCNAgent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISingleCollection<java.lang.String>` | `getCancelledResponses()` This method will return the collection of Strings.
    `boolean` | `processReceive(ISegmentSet objSegmentSet)` This method will keep track for all responses which are received at Server Side.
    `boolean` | `processSend(ISegmentSet objSegmentSet)` This method keeps track for the queries which are send by Sever.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSideQCNAgent

          public ServerSideQCNAgent()

  - ### Method Detail

    - #### getCancelledResponses

          public ISingleCollection<java.lang.String> getCancelledResponses()

      This method will return the collection of Strings.
      Specified by:
        `getCancelledResponses` in interface `IServerQueryCancellation`
      Returns:
        ISingleCollection Collection of query id which are canceled.

    - #### processSend

          public boolean processSend(ISegmentSet objSegmentSet)

      This method keeps track for the queries which are send by Sever.
      Specified by:
        `processSend` in interface `IServerQueryCancellation`
      Parameters:
        `objSegmentSet` - Object of Segment Set which send by Server.
      Returns:
        boolean - This will return true if received segment set is invalid or canceled.

    - #### processReceive

          public boolean processReceive(ISegmentSet objSegmentSet)

      This method will keep track for all responses which are received at Server Side.
      Specified by:
        `processReceive` in interface `IServerQueryCancellation`
      Parameters:
        `objSegmentSet` - Object of Segment Set received by server.
      Returns:
        boolean - true if received Segment Set is for cancellation else false.